com.pixelmed.display

## Class SourceImageSubset

- java.lang.Object
- - com.pixelmed.display.SourceImage
  - - com.pixelmed.display.SourceImageSubset

    public class SourceImageSubset
    extends SourceImage

A class that encapsulates a subset of frame sin a multi-frame SourceImage.

### Field Summary

Fields
`protected SourceImage` `parent`
`protected int[]` `parentFrameNumbers`

### Fields inherited from class com.pixelmed.display.SourceImage

`bufferedImageSource, memoryMappedByteBuffer, memoryMappedFileChannel, memoryMappedFileInputStream, memoryMapperNumberOfRetries, memoryMapperRetriesBeforeSleeping, memoryMapperSleepTimeBetweenRetries`

### Constructor Summary

Constructors
Constructor and Description
`SourceImageSubset(SourceImage parent, int[] parentFrameNumbers)`
`SourceImageSubset(SourceImage parent, java.util.SortedSet<java.lang.Integer> frames)`

### Method Summary

Methods
`void` `close()`
`int` `getBackgroundValue()`
`java.awt.image.BufferedImage` `getBufferedImage(int i)`
`java.awt.Dimension` `getDimension()`
`DisplayShutter` `getDisplayShutter()`
`int` `getHeight()`
`int` `getMaskValue()`
`double` `getMaximum()`
`double` `getMinimum()`
`ModalityTransform` `getModalityTransform()`
`int` `getNumberOfBufferedImages()`
`int` `getNumberOfFrames()`
`Overlay` `getOverlay()`
`int` `getPadRangeLimit()`
`int` `getPadValue()`
`int` `getPaletteColorBitsPerEntry()`
`short[]` `getPaletteColorBlueTable()`
`int` `getPaletteColorFirstValueMapped()`
`short[]` `getPaletteColorGreenTable()`
`int` `getPaletteColorLargestGray()`
`int` `getPaletteColorNumberOfEntries()`
`short[]` `getPaletteColorRedTable()`
`RealWorldValueTransform` `getRealWorldValueTransform()`
`SUVTransform` `getSUVTransform()`
`java.lang.String` `getTitle()`
`VOITransform` `getVOITransform()`
`int` `getWidth()`
`boolean` `isGrayscale()`
`boolean` `isInverted()`
`boolean` `isPadded()`
`boolean` `isSigned()`
`boolean` `isYBR()`

### Methods inherited from class com.pixelmed.display.SourceImage

`clean, finalize, getBufferedImage, getByteBufferFromOtherAttributeOnDisk, getShortBufferFromOtherWordAttributeOnDisk`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parent

    protected SourceImage parent

#### parentFrameNumbers

    protected int[] parentFrameNumbers

### Constructor Detail

#### SourceImageSubset

    public SourceImageSubset(SourceImage parent,
                     int[] parentFrameNumbers)

#### SourceImageSubset

    public SourceImageSubset(SourceImage parent,
                     java.util.SortedSet<java.lang.Integer> frames)

### Method Detail

#### close

    public void close()
               throws java.lang.Throwable

Overrides:
  `close` in class `SourceImage`
Throws:
  `java.lang.Throwable`

#### getBufferedImage

    public java.awt.image.BufferedImage getBufferedImage(int i)

Overrides:
  `getBufferedImage` in class `SourceImage`

#### getNumberOfBufferedImages

    public int getNumberOfBufferedImages()

Overrides:
  `getNumberOfBufferedImages` in class `SourceImage`

#### getWidth

    public int getWidth()

Overrides:
  `getWidth` in class `SourceImage`

#### getHeight

    public int getHeight()

Overrides:
  `getHeight` in class `SourceImage`

#### getDimension

    public java.awt.Dimension getDimension()

Overrides:
  `getDimension` in class `SourceImage`

#### getMinimum

    public double getMinimum()

Overrides:
  `getMinimum` in class `SourceImage`
Returns:
  the minimum pixel value, excluding any pixels in the padding value range

#### getMaximum

    public double getMaximum()

Overrides:
  `getMaximum` in class `SourceImage`
Returns:
  the maximum pixel value, excluding any pixels in the padding value range

#### getMaskValue

    public int getMaskValue()

Overrides:
  `getMaskValue` in class `SourceImage`

#### isSigned

    public boolean isSigned()

Overrides:
  `isSigned` in class `SourceImage`

#### isInverted

    public boolean isInverted()

Overrides:
  `isInverted` in class `SourceImage`

#### isPadded

    public boolean isPadded()

Overrides:
  `isPadded` in class `SourceImage`

#### getPadValue

    public int getPadValue()

Overrides:
  `getPadValue` in class `SourceImage`

#### getPadRangeLimit

    public int getPadRangeLimit()

Overrides:
  `getPadRangeLimit` in class `SourceImage`

#### getBackgroundValue

    public int getBackgroundValue()

Overrides:
  `getBackgroundValue` in class `SourceImage`

#### isGrayscale

    public boolean isGrayscale()

Overrides:
  `isGrayscale` in class `SourceImage`

#### isYBR

    public boolean isYBR()

Overrides:
  `isYBR` in class `SourceImage`

#### getTitle

    public java.lang.String getTitle()

Overrides:
  `getTitle` in class `SourceImage`

#### getNumberOfFrames

    public int getNumberOfFrames()

Overrides:
  `getNumberOfFrames` in class `SourceImage`

#### getPaletteColorLargestGray

    public int getPaletteColorLargestGray()

Overrides:
  `getPaletteColorLargestGray` in class `SourceImage`

#### getPaletteColorFirstValueMapped

    public int getPaletteColorFirstValueMapped()

Overrides:
  `getPaletteColorFirstValueMapped` in class `SourceImage`

#### getPaletteColorNumberOfEntries

    public int getPaletteColorNumberOfEntries()

Overrides:
  `getPaletteColorNumberOfEntries` in class `SourceImage`

#### getPaletteColorBitsPerEntry

    public int getPaletteColorBitsPerEntry()

Overrides:
  `getPaletteColorBitsPerEntry` in class `SourceImage`

#### getPaletteColorRedTable

    public short[] getPaletteColorRedTable()

Overrides:
  `getPaletteColorRedTable` in class `SourceImage`

#### getPaletteColorGreenTable

    public short[] getPaletteColorGreenTable()

Overrides:
  `getPaletteColorGreenTable` in class `SourceImage`

#### getPaletteColorBlueTable

    public short[] getPaletteColorBlueTable()

Overrides:
  `getPaletteColorBlueTable` in class `SourceImage`

#### getSUVTransform

    public SUVTransform getSUVTransform()

Overrides:
  `getSUVTransform` in class `SourceImage`

#### getRealWorldValueTransform

    public RealWorldValueTransform getRealWorldValueTransform()

Overrides:
  `getRealWorldValueTransform` in class `SourceImage`

#### getModalityTransform

    public ModalityTransform getModalityTransform()

Overrides:
  `getModalityTransform` in class `SourceImage`

#### getVOITransform

    public VOITransform getVOITransform()

Overrides:
  `getVOITransform` in class `SourceImage`

#### getDisplayShutter

    public DisplayShutter getDisplayShutter()

Overrides:
  `getDisplayShutter` in class `SourceImage`

#### getOverlay

    public Overlay getOverlay()

Overrides:
  `getOverlay` in class `SourceImage`